org.apache.maven.scm.provider.bazaar.command.remove

## Class BazaarRemoveConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer
    - - org.apache.maven.scm.provider.bazaar.command.remove.BazaarRemoveConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class BazaarRemoveConsumer
    extends BazaarConsumer

Author:
  Torbjorn Eikli Smorgrav, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`BazaarRemoveConsumer(ScmLogger logger, File workingDir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doConsume(ScmFileStatus status, String trimmedLine)`
`List<ScmFile>` `getRemovedFiles()`

### Methods inherited from class org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarRemoveConsumer

    public BazaarRemoveConsumer(ScmLogger logger,
                                File workingDir)

### Method Detail

#### doConsume

    public void doConsume(ScmFileStatus status,
                          String trimmedLine)

Overrides:
  `doConsume` in class `BazaarConsumer`

#### getRemovedFiles

    public List<ScmFile> getRemovedFiles()